Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.analysis
Interface CannedBinaryTokenStream.BinaryTermAttribute

All Superinterfaces:
  Attribute, TermToBytesRefAttribute

All Known Implementing Classes:
  CannedBinaryTokenStream.BinaryTermAttributeImpl

Enclosing class:
  CannedBinaryTokenStream

    public static interface CannedBinaryTokenStream.BinaryTermAttribute

extends TermToBytesRefAttribute

An attribute extending `TermToBytesRefAttribute` but exposing `setBytesRef(org.apache.lucene.util.BytesRef)` method.

Method Summary
`void` | `setBytesRef(BytesRef bytes)` Set the current binary value.

Methods inherited from interface org.apache.lucene.analysis.tokenattributes.TermToBytesRefAttribute
`fillBytesRef, getBytesRef`

Method Detail

### setBytesRef

    void setBytesRef(BytesRef bytes)

  Set the current binary value.

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.